libgutenprint API Reference 5.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
stp_papersize_t Struct Reference
papersize

The papersize data type. More...

`#include <paper.h>`

## Data Fields

char * | name
| Short unique name (not translated).
char * | text
| Long descriptive name (translated).
char * | comment
| Comment.
unsigned | width
| Paper width.
unsigned | height
| Paper height.
unsigned | top
| Top margin.
unsigned | left
| Left margin.
unsigned | bottom
| Bottom margin.
unsigned | right
| Right margin.
stp_papersize_unit_t | paper_unit
| Units of measurement.
stp_papersize_type_t | paper_size_type
| Paper size type.

## Detailed Description

The papersize data type.

## Field Documentation

unsigned stp_papersize_t::bottom

Bottom margin.

char* stp_papersize_t::comment

Comment.

unsigned stp_papersize_t::height

Paper height.

unsigned stp_papersize_t::left

Left margin.

char* stp_papersize_t::name

Short unique name (not translated).

stp_papersize_type_t stp_papersize_t::paper_size_type

Paper size type.

stp_papersize_unit_t stp_papersize_t::paper_unit

Units of measurement.

unsigned stp_papersize_t::right

Right margin.

char* stp_papersize_t::text

Long descriptive name (translated).

unsigned stp_papersize_t::top

Top margin.

unsigned stp_papersize_t::width

Paper width.

The documentation for this struct was generated from the following file:

- include/gutenprint/paper.h